%global momorel 4
%global svndate 20081004

Summary: OpenSync module for Python plugins
Name: libopensync-plugin-python
Version: 0.38
Release: 0.%{svndate}.%{momorel}m%{?dist}
License: LGPL
URL: http://www.opensync.org/
Group: System Environment/Libraries
#Source0: http://opensync.org/download/releases/%%{version}/%%{name}-%%{version}.tar.bz2
#NoSource: 0
Source0: %{name}-%{version}-svn%{svndate}.tar.bz2
Patch0: %{name}-%{version}-svn%{svndate}-python26.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: python
BuildRequires: cmake
BuildRequires: libopensync-devel >= %{version}
BuildRequires: pkgconfig
BuildRequires: python-devel >= 2.6.1

%description
This module allows Python based plugins using OpenSync.

Additionally install the libopensync package.

%prep
%setup -q -n %{name}-%{version}-svn%{svndate}

%patch0 -p1 -b .python26

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
	-DCMAKE_SKIP_RPATH=YES ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL
%{_libdir}/opensync-1.0/plugins/python-module.so
%{_libdir}/opensync-1.0/python-plugins/sample.py

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.38-0.20081004.4m)
- rebuild against rpm-4.6

* Fri Jan  2 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.38-0.20081004.3m)
- fix build with python-2.6.1

* Wed Dec 31 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.38-0.20081004.2m)
- rebuild against python-2.6.1-1m

* Sat Oct  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.38-0.20081004.1m)
- update to 0.38 svn snapshot

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.36-2m)
- rebuild against gcc43

* Wed Feb 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.36-1m)
- version 0.36

* Mon Jun 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.22-1m)
- initial package for libopensync
- Summary and %%description are imported from opensuse
